## pg-wait-sampling 1.1.3

=== Makefile ===
# contrib/pg_wait_sampling/Makefile

MODULE_big = pg_wait_sampling
OBJS = pg_wait_sampling.o collector.o compat.o

EXTENSION = pg_wait_sampling
EXTVERSION = 1.1
DATA_built = pg_wait_sampling--$(EXTVERSION).sql
DATA = pg_wait_sampling--1.0--1.1.sql

REGRESS = load queries

EXTRA_REGRESS_OPTS=--temp-config=$(top_srcdir)/$(subdir)/conf.add
EXTRA_CLEAN = pg_wait_sampling--$(EXTVERSION).sql

ifdef USE_PGXS
PG_CONFIG = pg_config
PGXS := $(shell $(PG_CONFIG) --pgxs)
include $(PGXS)
else
subdir = contrib/pg_wait_sampling
top_builddir = ../..
include $(top_builddir)/src/Makefile.global
include $(top_srcdir)/contrib/contrib-global.mk
endif

$(EXTENSION)--$(EXTVERSION).sql: setup.sql
	cat $^ > $@

# Prepare the package for PGXN submission
DISTVERSION := $(shell git tag -l | tail -n 1 | cut -d 'v' -f 2)
package: dist dist/$(EXTENSION)-$(DISTVERSION).zip

dist:
	mkdir -p dist

dist/$(EXTENSION)-$(DISTVERSION).zip:
	git archive --format zip --prefix=$(EXTENSION)-$(DISTVERSION)/ --output $@ HEAD

## pg-wait-sampling 1.1.3~20220627.1606-2~1.git9769e00.pgdg18.04+1

=== debian/changelog ===
pg-wait-sampling (1.1.3~20220627.1606-2~1.git9769e00.pgdg18.04+1) bionic-pgdg; urgency=medium

  * Rebuild for bionic-pgdg.
  * Changes applied by generate-pgdg-source:
    + Using debhelper 11.
    + Use source format 1.0 for git snapshot build.

 -- PostgreSQL on Debian and Ubuntu <pgsql-pkg-debian@lists.postgresql.org>  Fri, 15 Oct 2021 16:06:27 +0200

pg-wait-sampling (1.1.3-2) unstable; urgency=medium

  * Upload for PostgreSQL 14.

 -- Christoph Berg <myon@debian.org>  Fri, 15 Oct 2021 16:06:27 +0200

pg-wait-sampling (1.1.3-1) unstable; urgency=medium

  * New upstream version.

 -- Adrien Nayrat <adrien.nayrat@anayrat.info>  Wed, 27 Jan 2021 11:32:50 +0000

pg-wait-sampling (1.1.2-2) unstable; urgency=medium

  * Team upload.
  * Use dh --with pgxs_loop.
  * R³: no, DH 13.

 -- Christoph Berg <myon@debian.org>  Wed, 02 Dec 2020 15:49:35 +0100

pg-wait-sampling (1.1.2-1) unstable; urgency=medium

  * New upstream version compatible with PG13

 -- Adrien Nayrat <adrien.nayrat@anayrat.info>  Wed, 28 Oct 2020 09:03:03 +0000

pg-wait-sampling (1.1.1-1) unstable; urgency=medium

  * Release 1.1.1

 -- Adrien Nayrat <adrien.nayrat@anayrat.info>  Wed, 17 Jun 2020 12:26:59 +0000

=== debian/control ===
Source: pg-wait-sampling
Section: database
Priority: optional
Maintainer: Adrien Nayrat <adrien.nayrat@anayrat.info>
Standards-Version: 4.5.0
Rules-Requires-Root: no
Build-Depends: debhelper (>= 11), postgresql-all (>= 217~)
Homepage: https://github.com/postgrespro/pg_wait_sampling
Vcs-Browser: https://github.com/postgrespro/pg_wait_sampling
Vcs-Git: https://github.com/postgrespro/pg_wait_sampling.git -b debian

Package: postgresql-10-pg-wait-sampling
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}, postgresql-10,
Description: Extension providing statistics about PostgreSQL wait events
 pg_wait-sampling is an extension which provides functions for detailed
 per backend and per query wait events statistics.

Package: postgresql-11-pg-wait-sampling
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}, postgresql-11,
Description: Extension providing statistics about PostgreSQL wait events
 pg_wait-sampling is an extension which provides functions for detailed
 per backend and per query wait events statistics.

Package: postgresql-12-pg-wait-sampling
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}, postgresql-12,
Description: Extension providing statistics about PostgreSQL wait events
 pg_wait-sampling is an extension which provides functions for detailed
 per backend and per query wait events statistics.

Package: postgresql-13-pg-wait-sampling
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}, postgresql-13,
Description: Extension providing statistics about PostgreSQL wait events
 pg_wait-sampling is an extension which provides functions for detailed
 per backend and per query wait events statistics.

Package: postgresql-14-pg-wait-sampling
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}, postgresql-14,
Description: Extension providing statistics about PostgreSQL wait events
 pg_wait-sampling is an extension which provides functions for detailed
 per backend and per query wait events statistics.

## pg-wait-sampling 1.1.3~20220627.1606-2~1.git9769e00.pgdg20.04+1

=== debian/changelog ===
pg-wait-sampling (1.1.3~20220627.1606-2~1.git9769e00.pgdg20.04+1) focal-pgdg; urgency=medium

  * Rebuild for focal-pgdg.
  * Changes applied by generate-pgdg-source:
    + Using debhelper 12.
    + Use source format 1.0 for git snapshot build.

 -- PostgreSQL on Debian and Ubuntu <pgsql-pkg-debian@lists.postgresql.org>  Fri, 15 Oct 2021 16:06:27 +0200

=== debian/control ===
--- 
+++ 
@@ -4,7 +4,7 @@
 Maintainer: Adrien Nayrat <adrien.nayrat@anayrat.info>
 Standards-Version: 4.5.0
 Rules-Requires-Root: no
-Build-Depends: debhelper (>= 11), postgresql-all (>= 217~)
+Build-Depends: debhelper (>= 12), postgresql-all (>= 217~)
 Homepage: https://github.com/postgrespro/pg_wait_sampling
 Vcs-Browser: https://github.com/postgrespro/pg_wait_sampling
 Vcs-Git: https://github.com/postgrespro/pg_wait_sampling.git -b debian

## pg-wait-sampling 1.1.3~20220627.1606-2~1.git9769e00.pgdg21.10+1

=== debian/changelog ===
pg-wait-sampling (1.1.3~20220627.1606-2~1.git9769e00.pgdg21.10+1) impish-pgdg; urgency=medium

  * Rebuild for impish-pgdg.
  * Changes applied by generate-pgdg-source:
    + Use source format 1.0 for git snapshot build.

 -- PostgreSQL on Debian and Ubuntu <pgsql-pkg-debian@lists.postgresql.org>  Fri, 15 Oct 2021 16:06:27 +0200

=== debian/control ===
--- 
+++ 
@@ -4,7 +4,7 @@
 Maintainer: Adrien Nayrat <adrien.nayrat@anayrat.info>
 Standards-Version: 4.5.0
 Rules-Requires-Root: no
-Build-Depends: debhelper (>= 12), postgresql-all (>= 217~)
+Build-Depends: debhelper-compat (= 13), postgresql-all (>= 217~)
 Homepage: https://github.com/postgrespro/pg_wait_sampling
 Vcs-Browser: https://github.com/postgrespro/pg_wait_sampling
 Vcs-Git: https://github.com/postgrespro/pg_wait_sampling.git -b debian

## pg-wait-sampling 1.1.3~20220627.1606-2~1.git9769e00.pgdg22.04+1

=== debian/changelog ===
pg-wait-sampling (1.1.3~20220627.1606-2~1.git9769e00.pgdg22.04+1) jammy-pgdg; urgency=medium

  * Rebuild for jammy-pgdg.
  * Changes applied by generate-pgdg-source:
    + Use source format 1.0 for git snapshot build.

 -- PostgreSQL on Debian and Ubuntu <pgsql-pkg-debian@lists.postgresql.org>  Fri, 15 Oct 2021 16:06:27 +0200

## pg-wait-sampling 1.1.3~20220627.1606-2~1.git9769e00.pgdg110+1

=== debian/changelog ===
pg-wait-sampling (1.1.3~20220627.1606-2~1.git9769e00.pgdg110+1) bullseye-pgdg; urgency=medium

  * Rebuild for bullseye-pgdg.
  * Changes applied by generate-pgdg-source:
    + Use source format 1.0 for git snapshot build.

 -- PostgreSQL on Debian and Ubuntu <pgsql-pkg-debian@lists.postgresql.org>  Fri, 15 Oct 2021 16:06:27 +0200

## pg-wait-sampling 1.1.3~20220627.1606-2~1.git9769e00.pgdg120+1

=== debian/changelog ===
pg-wait-sampling (1.1.3~20220627.1606-2~1.git9769e00.pgdg120+1) bookworm-pgdg; urgency=medium

  * Rebuild for bookworm-pgdg.
  * Changes applied by generate-pgdg-source:
    + Use source format 1.0 for git snapshot build.

 -- PostgreSQL on Debian and Ubuntu <pgsql-pkg-debian@lists.postgresql.org>  Fri, 15 Oct 2021 16:06:27 +0200

## pg-wait-sampling 1.1.3~20220627.1606-2~1.git9769e00.pgdg+1

=== debian/changelog ===
pg-wait-sampling (1.1.3~20220627.1606-2~1.git9769e00.pgdg+1) sid-pgdg; urgency=medium

  * Rebuild for sid-pgdg.
  * Changes applied by generate-pgdg-source:
    + Use source format 1.0 for git snapshot build.

 -- PostgreSQL on Debian and Ubuntu <pgsql-pkg-debian@lists.postgresql.org>  Fri, 15 Oct 2021 16:06:27 +0200

## pg-wait-sampling 1.1.3

=== debian/control ===
Source: pg-wait-sampling
Section: database
Priority: optional
Maintainer: Adrien Nayrat <adrien.nayrat@anayrat.info>
Standards-Version: 4.5.0
Rules-Requires-Root: no
Build-Depends: debhelper-compat (= 13), postgresql-all (>= 217~)
Homepage: https://github.com/postgrespro/pg_wait_sampling
Vcs-Browser: https://github.com/postgrespro/pg_wait_sampling
Vcs-Git: https://github.com/postgrespro/pg_wait_sampling.git -b debian

Package: postgresql-14-pg-wait-sampling
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}, postgresql-14,
Description: Extension providing statistics about PostgreSQL wait events
 pg_wait-sampling is an extension which provides functions for detailed
 per backend and per query wait events statistics.

=== debian/watch ===
version=4
opts="uversionmangle=s/_/./g" \
  https://github.com/postgrespro/pg_wait_sampling/releases .*/v(.*).tar.gz

## pg-wait-sampling 1.1.4

=== Makefile ===
# contrib/pg_wait_sampling/Makefile

MODULE_big = pg_wait_sampling
OBJS = pg_wait_sampling.o collector.o

EXTENSION = pg_wait_sampling
DATA = pg_wait_sampling--1.1.sql pg_wait_sampling--1.0--1.1.sql

REGRESS = load queries

EXTRA_REGRESS_OPTS=--temp-config=$(top_srcdir)/$(subdir)/conf.add

ifdef USE_PGXS
PG_CONFIG = pg_config
PGXS := $(shell $(PG_CONFIG) --pgxs)
include $(PGXS)
else
subdir = contrib/pg_wait_sampling
top_builddir = ../..
include $(top_builddir)/src/Makefile.global
include $(top_srcdir)/contrib/contrib-global.mk
endif

# Prepare the package for PGXN submission
package: dist .git
	$(eval DISTVERSION := $(shell git tag -l | tail -n 1 | cut -d 'v' -f 2))
	$(info Generating zip file for version $(DISTVERSION)...)
	git archive --format zip --prefix=$(EXTENSION)-${DISTVERSION}/ --output dist/$(EXTENSION)-${DISTVERSION}.zip HEAD

dist:
	mkdir -p dist

=== debian/changelog ===
pg-wait-sampling (1.1.4-2) unstable; urgency=medium

  * Team upload for PostgreSQL 15.

 -- Christoph Berg <myon@debian.org>  Fri, 21 Oct 2022 11:08:29 +0200

pg-wait-sampling (1.1.4-1) unstable; urgency=medium

  * Team upload.
  * New upstream version with PG 15 support.

 -- Christoph Berg <myon@debian.org>  Fri, 30 Sep 2022 21:54:48 +0200

=== debian/control ===
Source: pg-wait-sampling
Section: database
Priority: optional
Maintainer: Adrien Nayrat <adrien.nayrat@anayrat.info>
Standards-Version: 4.6.1
Rules-Requires-Root: no
Build-Depends: debhelper-compat (= 13), postgresql-all (>= 217~)
Homepage: https://github.com/postgrespro/pg_wait_sampling
Vcs-Browser: https://github.com/postgrespro/pg_wait_sampling
Vcs-Git: https://github.com/postgrespro/pg_wait_sampling.git -b debian

Package: postgresql-15-pg-wait-sampling
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}, postgresql-15,
Description: Extension providing statistics about PostgreSQL wait events
 pg_wait-sampling is an extension which provides functions for detailed
 per backend and per query wait events statistics.

## pg-wait-sampling 1.1.5

=== debian/changelog ===
pg-wait-sampling (1.1.5-1.pgdg20.04+1) focal-pgdg; urgency=medium

  * Rebuild for focal-pgdg.
  * Changes applied by generate-pgdg-source:
    + Using debhelper 12.

 -- PostgreSQL on Debian and Ubuntu <pgsql-pkg-debian@lists.postgresql.org>  Mon, 23 Oct 2023 11:26:14 +0200

pg-wait-sampling (1.1.5-1) unstable; urgency=medium

  * New upstream version 1.1.5.

 -- Christoph Berg <myon@debian.org>  Mon, 23 Oct 2023 11:26:14 +0200

pg-wait-sampling (1.1.4-3) unstable; urgency=medium

  * Upload for PostgreSQL 16.
  * Use ${postgresql:Depends}.
  * Move packaging repository to salsa.debian.org.
  * Put package under team maintenance.

 -- Christoph Berg <myon@debian.org>  Wed, 20 Sep 2023 11:59:30 +0200

=== debian/control ===
Source: pg-wait-sampling
Section: database
Priority: optional
Maintainer: Debian PostgreSQL Maintainers <team+postgresql@tracker.debian.org>
Uploaders:
 Christoph Berg <myon@debian.org>,
Standards-Version: 4.6.2
Rules-Requires-Root: no
Build-Depends: debhelper (>= 12), postgresql-all (>= 217~)
Homepage: https://github.com/postgrespro/pg_wait_sampling
Vcs-Browser: https://salsa.debian.org/postgresql/pg-wait-sampling
Vcs-Git: https://salsa.debian.org/postgresql/pg-wait-sampling.git

Package: postgresql-10-pg-wait-sampling
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}, ${postgresql:Depends},
Description: Extension providing statistics about PostgreSQL wait events
 pg_wait-sampling is an extension which provides functions for detailed
 per backend and per query wait events statistics.

Package: postgresql-11-pg-wait-sampling
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}, ${postgresql:Depends},
Description: Extension providing statistics about PostgreSQL wait events
 pg_wait-sampling is an extension which provides functions for detailed
 per backend and per query wait events statistics.

Package: postgresql-12-pg-wait-sampling
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}, ${postgresql:Depends},
Description: Extension providing statistics about PostgreSQL wait events
 pg_wait-sampling is an extension which provides functions for detailed
 per backend and per query wait events statistics.

Package: postgresql-13-pg-wait-sampling
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}, ${postgresql:Depends},
Description: Extension providing statistics about PostgreSQL wait events
 pg_wait-sampling is an extension which provides functions for detailed
 per backend and per query wait events statistics.

Package: postgresql-14-pg-wait-sampling
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}, ${postgresql:Depends},
Description: Extension providing statistics about PostgreSQL wait events
 pg_wait-sampling is an extension which provides functions for detailed
 per backend and per query wait events statistics.

Package: postgresql-15-pg-wait-sampling
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}, ${postgresql:Depends},
Description: Extension providing statistics about PostgreSQL wait events
 pg_wait-sampling is an extension which provides functions for detailed
 per backend and per query wait events statistics.

Package: postgresql-16-pg-wait-sampling
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}, ${postgresql:Depends},
Description: Extension providing statistics about PostgreSQL wait events
 pg_wait-sampling is an extension which provides functions for detailed
 per backend and per query wait events statistics.

## pg-wait-sampling 1.1.6

=== debian/changelog ===
pg-wait-sampling (1.1.6-2.pgdg24.04+1) noble-pgdg; urgency=medium

  * Rebuild for noble-pgdg.
  * No source changes.

 -- PostgreSQL on Debian and Ubuntu <pgsql-pkg-debian@lists.postgresql.org>  Sat, 14 Sep 2024 18:44:03 +0200

pg-wait-sampling (1.1.6-2) unstable; urgency=medium

  * Upload for PostgreSQL 17.
  * Restrict to 64-bit architectures.
  * Mark postgresql-all as <!nocheck>.

 -- Christoph Berg <myon@debian.org>  Sat, 14 Sep 2024 18:44:03 +0200

pg-wait-sampling (1.1.6-1) unstable; urgency=medium

  * New upstream version 1.1.6.
  * Bump debian/pgversions to 12+.

 -- Christoph Berg <myon@debian.org>  Thu, 08 Aug 2024 11:35:39 +0200

=== debian/control ===
Source: pg-wait-sampling
Section: database
Priority: optional
Maintainer: Debian PostgreSQL Maintainers <team+postgresql@tracker.debian.org>
Uploaders:
 Christoph Berg <myon@debian.org>,
Standards-Version: 4.7.0
Rules-Requires-Root: no
Build-Depends:
 architecture-is-64-bit <!pkg.postgresql.32-bit>,
 debhelper-compat (= 13),
 postgresql-all <!nocheck>,
 postgresql-server-dev-all,
Homepage: https://github.com/postgrespro/pg_wait_sampling
Vcs-Browser: https://salsa.debian.org/postgresql/pg-wait-sampling
Vcs-Git: https://salsa.debian.org/postgresql/pg-wait-sampling.git

Package: postgresql-12-pg-wait-sampling
Architecture: any
Depends:
 ${misc:Depends},
 ${postgresql:Depends},
 ${shlibs:Depends},
Description: Extension providing statistics about PostgreSQL wait events
 pg_wait-sampling is an extension which provides functions for detailed
 per backend and per query wait events statistics.

Package: postgresql-13-pg-wait-sampling
Architecture: any
Depends:
 ${misc:Depends},
 ${postgresql:Depends},
 ${shlibs:Depends},
Description: Extension providing statistics about PostgreSQL wait events
 pg_wait-sampling is an extension which provides functions for detailed
 per backend and per query wait events statistics.

Package: postgresql-14-pg-wait-sampling
Architecture: any
Depends:
 ${misc:Depends},
 ${postgresql:Depends},
 ${shlibs:Depends},
Description: Extension providing statistics about PostgreSQL wait events
 pg_wait-sampling is an extension which provides functions for detailed
 per backend and per query wait events statistics.

Package: postgresql-15-pg-wait-sampling
Architecture: any
Depends:
 ${misc:Depends},
 ${postgresql:Depends},
 ${shlibs:Depends},
Description: Extension providing statistics about PostgreSQL wait events
 pg_wait-sampling is an extension which provides functions for detailed
 per backend and per query wait events statistics.

Package: postgresql-16-pg-wait-sampling
Architecture: any
Depends:
 ${misc:Depends},
 ${postgresql:Depends},
 ${shlibs:Depends},
Description: Extension providing statistics about PostgreSQL wait events
 pg_wait-sampling is an extension which provides functions for detailed
 per backend and per query wait events statistics.

Package: postgresql-17-pg-wait-sampling
Architecture: any
Depends:
 ${misc:Depends},
 ${postgresql:Depends},
 ${shlibs:Depends},
Description: Extension providing statistics about PostgreSQL wait events
 pg_wait-sampling is an extension which provides functions for detailed
 per backend and per query wait events statistics.

## pg-wait-sampling 1.1.7

=== debian/changelog ===
pg-wait-sampling (1.1.7-1) unstable; urgency=medium

  * New upstream version 1.1.7, supports PG 13+.

 -- Christoph Berg <myon@debian.org>  Tue, 11 Feb 2025 11:16:48 +0100

## pg-wait-sampling 1.1.8

=== debian/changelog ===
pg-wait-sampling (1.1.8-1.pgdg110+1) bullseye-pgdg; urgency=medium

  * Rebuild for bullseye-pgdg.
  * No source changes.

 -- PostgreSQL on Debian and Ubuntu <pgsql-pkg-debian@lists.postgresql.org>  Thu, 27 Feb 2025 13:43:33 +0100

pg-wait-sampling (1.1.8-1) unstable; urgency=medium

  * New upstream version 1.1.8.

 -- Christoph Berg <myon@debian.org>  Thu, 27 Feb 2025 13:43:33 +0100

=== debian/control ===
--- 
+++ 
@@ -14,16 +14,6 @@
 Homepage: https://github.com/postgrespro/pg_wait_sampling
 Vcs-Browser: https://salsa.debian.org/postgresql/pg-wait-sampling
 Vcs-Git: https://salsa.debian.org/postgresql/pg-wait-sampling.git
-
-Package: postgresql-12-pg-wait-sampling
-Architecture: any
-Depends:
- ${misc:Depends},
- ${postgresql:Depends},
- ${shlibs:Depends},
-Description: Extension providing statistics about PostgreSQL wait events
- pg_wait-sampling is an extension which provides functions for detailed
- per backend and per query wait events statistics.
 
 Package: postgresql-13-pg-wait-sampling
 Architecture: any

## pg-wait-sampling 1.1.9

=== Makefile ===
--- 
+++ 
@@ -20,12 +20,3 @@
 include $(top_builddir)/src/Makefile.global
 include $(top_srcdir)/contrib/contrib-global.mk
 endif
-
-# Prepare the package for PGXN submission
-package: dist .git
-	$(eval DISTVERSION := $(shell git tag -l | tail -n 1 | cut -d 'v' -f 2))
-	$(info Generating zip file for version $(DISTVERSION)...)
-	git archive --format zip --prefix=$(EXTENSION)-${DISTVERSION}/ --output dist/$(EXTENSION)-${DISTVERSION}.zip HEAD
-
-dist:
-	mkdir -p dist

=== debian/changelog ===
pg-wait-sampling (1.1.9-2) unstable; urgency=medium

  * Upload for PostgreSQL 18. (Closes: #1117295)
  * Add ${postgresql:Breaks}.
  * debian/tests: Depend on postgresql-common-dev instead of 'make'.

 -- Christoph Berg <myon@debian.org>  Wed, 08 Oct 2025 17:14:49 +0200

pg-wait-sampling (1.1.9-1) unstable; urgency=medium

  * New upstream version 1.1.9.

 -- Christoph Berg <myon@debian.org>  Mon, 04 Aug 2025 21:05:50 +0200

=== debian/control ===
Source: pg-wait-sampling
Section: database
Priority: optional
Maintainer: Debian PostgreSQL Maintainers <team+postgresql@tracker.debian.org>
Uploaders:
 Christoph Berg <myon@debian.org>,
Standards-Version: 4.7.2
Build-Depends:
 debhelper-compat (= 13),
 architecture-is-64-bit <!pkg.postgresql.32-bit>,
 postgresql-all <!nocheck>,
 postgresql-server-dev-all,
Homepage: https://github.com/postgrespro/pg_wait_sampling
Vcs-Browser: https://salsa.debian.org/postgresql/pg-wait-sampling
Vcs-Git: https://salsa.debian.org/postgresql/pg-wait-sampling.git

Package: postgresql-18-pg-wait-sampling
Architecture: any
Depends:
 ${misc:Depends},
 ${postgresql:Depends},
 ${shlibs:Depends},
Breaks:
 ${postgresql:Breaks},
Description: Extension providing statistics about PostgreSQL wait events
 pg_wait-sampling is an extension which provides functions for detailed
 per backend and per query wait events statistics.

=== debian/rules ===
#!/usr/bin/make -f

override_dh_installdocs:
	dh_installdocs --all README.md

override_dh_pgxs_test:
	pg_buildext -o "shared_preload_libraries=pg_wait_sampling" installcheck . . postgresql-%v-pg-wait-sampling

%:
	dh $@ --with pgxs_loop

=== debian/watch ===
version=4
opts="uversionmangle=s/_/./g" \
  https://github.com/postgrespro/pg_wait_sampling/tags .*/v(.*).tar.gz
